System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.IChannel

The interface defines synchronous and asynchronous variants of the operation. It provides a for the destination of the messages sent out on the channel.

Defines the interface that a channel must implement to send a message.

- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  The destination for messages sent out on an output channel is specified at channel creation time.

  The method does not guarantee the delivery of message to the remote endpoint. If delivery guarantees are required, use the .

  If the message sent is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Begins an asynchronous operation to transmit a message to the destination of the output channel.

  The that references the asynchronous message transmission.

  The being sent on the output channel. The delegate. An object, specified by the application, that contains state information associated with the asynchronous send operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` ``

  The destination for messages sent out on an output channel is specified at channel creation time.

  The method does not guarantee the delivery of message to the remote endpoint. If delivery guarantees are required, use .

  If the message sent is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Begins an asynchronous operation to transmit a message to the destination of the output channel within a specified interval of time.

  The that references the asynchronous send operation.

  The being sent on the output channel. The that specifies how long the send operation has to complete before timing out. The delegate that receives the notification of the asynchronous operation send completion. An object, specified by the application, that contains state information associated with the asynchronous send operation.
- Method
  4.0.0.0
  System.Void ``

  If the message sent is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Completes an asynchronous operation to transmit a message to the destination of the output channel.

  The returned by a call to the method.
- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added.

  The serves as both the ultimate destination and the physical address if a is not specified. If the is specified, then that is the actual physical address to which the message is sent and through which the message must go to arrive at its destination.

  Gets the destination of the service to which messages are sent out on the output channel.

- Method
  4.0.0.0
  System.Void ``

  The destination for messages sent out on an output channel is specified at channel creation time.

  The method does not guarantee the delivery of message to the remote endpoint. An implementation of can silently drop messages for a variety of reasons. There may be no more buffer room, for example. If delivery guarantees are required, use .

  Passing the message into the output channel causes the message to be consumed. After you call , you can no longer inspect the message or call on the message.

  Transmits a message to the destination of the output channel.

  The being sent on the output channel.
- Method
  4.0.0.0
  System.Void `` ``

  The destination for messages sent out on an output channel is specified at channel creation time.

  The method does not guarantee the delivery of message to the remote endpoint. An implementation of can silently drop messages for a variety of reasons. There may be no more buffer room, for example. If delivery guarantees are required, use .

  Passing the message into the output channel causes the message to be consumed. After you call , you can no longer inspect the message or call on the message.

  Sends a message on the current output channel within a specified interval of time.

  The being sent on the output channel. The that specifies how long the send operation has to complete before timing out.
- Property
  4.0.0.0
  System.Uri To be added.

  The serves as both the ultimate destination and the physical address if a is not specified. If the is specified, then that is the actual physical address to which the message is sent and through which the message must go to arrive at its destination.

  Gets the URI that contains the transport address to which messages are sent on the output channel.